Content & StorefrontBrands
List brands
Lists the brands present in the published catalog. Useful to build a brand filter outside the facets of a search.
Query Parameters
search?string
Free-text search.
sort?string
Value in
- "default"
- "nameAsc"
- "nameDesc"
- "orderAsc"
- "orderDesc"
- "newest"
- "updatedDesc"
Header Parameters
x-Store-Domain*string
Slug of the store or one of its configured domains, such as my-store.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://storefront.ecomiq.pe/v1/brands" \ -H "x-Store-Domain: my-store"[ { "id": "7204558912004322959", "name": "Andina", "slug": "andina", "imageUrl": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp", "order": 1, "productCount": 24 }]